Summary
Get Device Backup
Description
Retrieves single backup document by id
Route
GET /configuration_manager/backups/:id
Roles
admin
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
Backup's id |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| backup |
object |
JSON object that contains the backed up configuration |
Copied to Clipboard
{
"id": "5c35355dbebaa82eaf8113f0",
"name": "xr9kv-atl",
"provider": "qui",
"type": "native",
"date": "2019-04-12T14:42:47.958Z",
"rawConfig": "hostname ios0\nno service password-encryption\n...",
"description": "description of backup",
"notes": "notes about backup",
"gbac": {
"write": [
"457236c39185fc975f672ca7",
"2eed58fb2a0374ca677e4ddd",
"94c94c7c841f2f0f6f28ec96",
"630bb7e5ccd4c33cb39afaed"
],
"read": [
"ca0ad35c2d165e20703cd6b2",
"dfcdc0030f17fdd8b50605af"
]
}
}